FUDforum
Fast Uncompromising Discussions. FUDforum will get your users talking.

Home » General » General Chit Chat » Supported browsers
Show: Today's Messages :: Unread Messages :: Show Polls :: Message Navigator
| Subscribe to topic | Bookmark topic 
Switch to threaded view of this topic Create a new topic Submit Reply
Supported browsers [message #4603] Wed, 31 July 2002 17:57 Go to next message
vidaubannais is currently offline  vidaubannais   Germany
Messages: 23
Registered: July 2002
Karma: 0
Junior Member
add to buddy list
ignore all messages by this user
FUD is OK on IE as we could expect (I don't know anyone debugging their web application and testing using something else than IE).
However more and more people are using alternatives:
Mozilla, Netscape, Opera, Konqueror are I believe the main one we must keep an eye on.
Phanatic of the GNU - free software, I exclusively run Linux with Konqueror as web browser.
Konqueror is fast, highly configurable and rather compliant with the standards (as far as I can see).
Do anyone use Konquieror too? What do you think of the behavior of FUD on your favorit web browser?

[Updated on: Wed, 31 July 2002 18:00]

Report message to a moderator

Re: Supported browsers [message #4605 is a reply to message #4603] Wed, 31 July 2002 18:07 Go to previous messageGo to next message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
vidaubannais wrote on Wed, 31 July 2002 17:57

FUD is OK on IE as we could expect (I don't know anyone debugging their web application and testing using IE on something else).
However more and more people are using alternatives:
Mozilla, Netscape, Opera, Konqueror are I believe the main one we must keep an eye on.
Phanatic of the GNU - free software I run Linux exclusively with Konqueror as web browser.
Konqueror is fast, highly configurable and rather compliant with the standards (as far as I can see).
Do anyone use Konquieror too? What do you think of the behavior of FUD on your favorit web browser?


I use linux exclusively @ home and work. In fact the only Windows machine I have is there for testing if FUDforum can still be installed on Windows machines and the obvious IE compatibility tests. Personally, my browser of choice is Mozilla, it is quite fast and renders fonts rather nicely, plus it has 'tabs' support Smile. Konqueror albeit a nice browser, has a number of HTML parsing bugs, some of which I reported to the KDE development team and some regarding JavaScript have even been solved.
I quite often use KDE to test the forum as well, in case you are wondering.

As far as my test determine, only Netscape 4.X has issues with FUDforum pages and that is not my fault as that version of Netscape is damn old and does not adhere to any standards.
Anyhow, Opera 5.0+, IE 5.0+, Mozilla 0.9X+ render FUDforum pages perfectly. Konqueror does a pretty good job, although in some case Konqueror bugs cause a little text alignment problems.

As for HTML validity, FUDforum development team have received a donation of a commercial HTML checking software from, Albert Wiersch (http://www.htmlvalidator.com/), which I've used to correct various oopses. Majority of the changes made thanks to that piece of software will be part of the next RC release.


FUDforum Core Developer
Re: Supported browsers [message #4721 is a reply to message #4605] Sun, 04 August 2002 16:24 Go to previous messageGo to next message
mauftarkie   United States
Messages: 29
Registered: April 2002
Karma: 0
Junior Member
add to buddy list
ignore all messages by this user

prottoss wrote on Wed, 31 July 2002 15:07

Personally, my browser of choice is Mozilla, it is quite fast and renders fonts rather nicely, plus it has 'tabs' support Smile.


Not to mention the DOM inspector, which makes mucking around with layout changes much less frustrating. Honestly, I don't know why anyone would want to develop with anything BUT Mozilla.
Re: Supported browsers [message #4750 is a reply to message #4605] Mon, 05 August 2002 17:31 Go to previous messageGo to next message
smike is currently offline  smike   Germany
Messages: 182
Registered: April 2002
Location: Munich/Germany
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
prottoss schrieb am Don, 01 August 2002 00:07

As far as my test determine, only Netscape 4.X has issues with FUDforum pages and that is not my fault as that version of Netscape is damn old and does not adhere to any standards.
Anyhow, Opera 5.0+, IE 5.0+, Mozilla 0.9X+ render FUDforum pages perfectly. Konqueror does a pretty good job, although in some case Konqueror bugs cause a little text alignment problems.

Vidaubannais, I made the same experiences!

I also prefer mozilla on a linux and...yes also on a windows machine at work!
Re: Supported browsers [message #4751 is a reply to message #4750] Mon, 05 August 2002 17:43 Go to previous messageGo to next message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
In the last 2 days I've went through every peice of HTML made by FUDforum and through the made changes ensured that FUDforum meets W3C HTML 4.01 Transitional standard.
So, any standard compliant browsers should display the HTML flawlessly.


FUDforum Core Developer
Re: Supported browsers [message #4849 is a reply to message #4603] Fri, 09 August 2002 13:09 Go to previous messageGo to next message
Genesis is currently offline  Genesis   Canada
Messages: 8
Registered: August 2002
Karma: 0
Junior Member
add to buddy list
ignore all messages by this user
Yeah. Smile
Re: Supported browsers [message #4948 is a reply to message #4605] Tue, 13 August 2002 21:02 Go to previous messageGo to next message
BugLaden is currently offline  BugLaden   United States
Messages: 208
Registered: February 2002
Location: New Windsor, Md.
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user

prottoss wrote on Wed, 31 July 2002 18:07


As far as my test determine, only Netscape 4.X has issues with FUDforum pages and that is not my fault as that version of Netscape is damn old and does not adhere to any standards.


While I would love nothing more than to forget about Nutscrape 4.x as well, you would be surprised how many people still use it. In fact the base I work on (Aberdeen Proving Grounds) has about 80% of its user base still on it.

I've noticed that the older users prefer it over the ever-changing IS scene.

That makes you think - how many other government installations, public schools, and universities use it?

My point: it should not be ignored or forgotten at this point.


-=BugLaden
CCG Workshop, LLC
Play Hobby and Strategy Games Online!
Re: Supported browsers [message #4951 is a reply to message #4948] Tue, 13 August 2002 22:10 Go to previous message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
Well, according to numerous browser statistic gathering engines Netscape 4.X hold a marginal user base, >3% of the browser market.
It is not being actively developed, in fact Netscape (AOL) is actively pushing Netscape 6, which is based on Gecko (Mozilla) engine.
All that said, if Netscape 4.X supported W3C standards that are quite old I wouldn't have a problem with supporting it. However, it does not, and it simply makes no sence to cripple the layout in favor of this browser.


FUDforum Core Developer
Quick Reply
Formatting Tools:   
  Switch to threaded view of this topic Create a new topic
Previous Topic: rookie, greenhorn, newbie
Next Topic: Post your picture!!
Goto Forum:
  

-=] Back to Top [=-
[ Syndicate this forum (XML) ] [ RSS ]

Current Time: Fri Dec 15 14:57:22 EST 2017

Total time taken to generate the page: 0.00748 seconds